## accounts-qml-module 0.7+git20221012.4119d52

=== debian/changelog ===
accounts-qml-module (0.7+git20221012.4119d52-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 04 Feb 2023 16:22:27 +0100

accounts-qml-module (0.7+git20221012.4119d52-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1030497).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 04 Feb 2023 10:59:19 +0100
