=== debian/control ===
Source: accounts-qml-module
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: dbus-test-runner,
               debhelper-compat (= 13),
               libaccounts-qt5-dev (>= 1.10),
               libsignon-qt5-dev (>= 8.50),
               pkg-config,
               qml-module-qtquick2,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qtchooser,
               qttools5-dev-tools <!cross>,
               xauth,
               xvfb,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/accounts-sso/accounts-qml-module
Vcs-Git: https://salsa.debian.org/ubports-team/accounts-qml-module.git
Vcs-Browser: https://salsa.debian.org/ubports-team/accounts-qml-module/

Package: qml-module-sso-onlineaccounts
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-qtquick2,
Description: Expose the Online Accounts API to QML applications
 This QML module provides access to the Online Accounts framework from
 QML applications. It provides bindings to libaccounts-qt and
 libsignon-qt.

Package: accounts-qml-module-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!cross>
Depends: ${misc:Depends},
Description: Online Accounts QML - documentation
 This QML module provides access to the Online Accounts framework from
 QML applications. It provides bindings to libaccounts-qt and
 libsignon-qt.
 .
 This package contains developer documentation.
