=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
export DEB_BUILD_PROFILES := cross
CONFIGURE_OPTS += CONFIG+=no_docs
endif

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

override_dh_auto_configure:
	dh_auto_configure \
		-- LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		"QMAKE_CXXFLAGS=$(CFLAGS)" \
		CONFIG+=ubuntu-docs \
			$(CONFIGURE_OPTS) \
		accounts-qml-module.pro

override_dh_install:
	rmdir debian/tmp/usr/share/doc/accounts-qml-module/html/images/
	dh_install -X .gitignore

override_dh_missing:
	dh_missing --fail-missing

%:
	dh $@

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
