## accounts-qml-module 0.7+git20231028.05e79eb

=== debian/changelog ===
accounts-qml-module (0.7+git20231028.05e79eb-6) unstable; urgency=medium

  * Re-upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 11 Dec 2024 22:36:50 +0100

accounts-qml-module (0.7+git20231028.05e79eb-6~exp1) experimental; urgency=medium

  * Upload to experimental.

  [ Aurélien COUDERC ]
  * debian/:
    + Add QML module built against Qt6. (Closes: #1086789).
  * debian/rules:
    + Drop calling dh_missing with --fail-missing, it's been the default since
      debhelper 13 compatibility level.

  [ Mike Gabriel ]
  * debian/rules:
    + Be a little more explicit about Qt5 build and its build-system.
  * debian/control:
    + Ensure we require src:pkg signond (>= 8.61+git20231015.c8ad982-7~) at
      build time and runtime.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 07 Dec 2024 14:50:38 +0100

accounts-qml-module (0.7+git20231028.05e79eb-5) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/:
    + Sync in changes from Ubuntu (including a transitional qml-module-ubuntu-
      onlineaccounts bin:pkg) to allow syncing accounts-qml-module from Debian
      to Ubuntu again.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
  * debian/{control,rules}:
    + Drop explicit cross-building support.
  * debian/rules:
    + Don't build ubuntu-docs, use the non-styled default theming.
    + Run clean-up on doc/html/, don't use clean-docs Makefile target as it
      removes the html/ entirely. (Closes: #1044106).

  [ Guido Berhoerster ]
  * debian/patches:
    + Drop patches for Ubuntu branding.
    + Avoid parallel make in dh_auto_install.
  * debian/rules:
    + Remove dh_missing --fail-missing, this is the default with dh 13.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 15 Aug 2024 16:02:21 +0200

accounts-qml-module (0.7+git20231028.05e79eb-4) unstable; urgency=medium

  * debian/rules:
    + Build docs when cross-building.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 14 Aug 2024 15:57:42 +0200

accounts-qml-module (0.7+git20231028.05e79eb-3) unstable; urgency=medium

  * debian/rules:
    + Ignore removal failure of debian/tmp/usr/share/doc/accounts-qml-module/
      html/images/.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 14 Aug 2024 15:01:09 +0200

accounts-qml-module (0.7+git20231028.05e79eb-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Replace transitional pkg-config build dependency with real pkgconf.
  * Build with hardening=+all build hardening flag.
  * Drop calling dh_missing with --fail-missing, it’s been the default since
    debhelper 13 compatibility level.
  * Tighten selection of files installed in the Qt5 QML module package.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 14 Aug 2024 11:41:28 +0200

accounts-qml-module (0.7+git20231028.05e79eb-1) unstable; urgency=medium

  * New Git snapshot.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Feb 2024 23:31:47 +0100
