=== debian/control ===
Source: accounts-qml-module
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: dbus-test-runner,
               debhelper-compat (= 13),
               libaccounts-qt5-dev (>= 1.10),
               libaccounts-qt6-dev,
               libsignon-qt5-dev (>= 8.61+git20231015.c8ad982-7~),
               libsignon-qt6-dev (>= 8.61+git20231015.c8ad982-7~),
               pkgconf,
               qml-module-qtquick2,
               qml6-module-qtqml-models,
               qml6-module-qtqml-workerscript,
               qt6-base-dev,
               qt6-declarative-dev,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qtchooser,
               qt6-tools-dev-tools <!cross>,
               qttools5-dev-tools <!cross>,
               xauth,
               xvfb,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/accounts-sso/accounts-qml-module
Vcs-Git: https://salsa.debian.org/ubports-team/accounts-qml-module.git
Vcs-Browser: https://salsa.debian.org/ubports-team/accounts-qml-module/

Package: qml-module-sso-onlineaccounts
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-qtquick2,
Breaks: qml-module-ubuntu-onlineaccounts (<< 0.7+git20231028.05e79eb-1ubuntu1~)
Replaces: qml-module-ubuntu-onlineaccounts (<< 0.7+git20231028.05e79eb-1ubuntu1~)
Description: Expose the Online Accounts API to Qt5 QML applications
 This Qt5 QML module provides access to the Online Accounts framework from
 QML applications. It provides bindings to libaccounts-qt5 and
 libsignon-qt5.

Package: qml6-module-sso-onlineaccounts
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
Description: Expose the Online Accounts API to Qt6 QML applications
 This Qt6 QML module provides access to the Online Accounts framework from
 QML applications. It provides bindings to libaccounts-qt6 and
 libsignon-qt6.

Package: qml-module-ubuntu-onlineaccounts
Architecture: all
Depends: qml-module-sso-onlineaccounts,
         ${misc:Depends},
Section: oldlibs
Description: transitional dummy package for Online Accounts QML clients
 This module provides access to the Online Accounts framework from QML
 applications.
 .
 This package is a transitional package and can safely be removed.

Package: accounts-qml-module-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Online Accounts QML - documentation
 This QML module provides access to the Online Accounts framework from
 QML applications. It provides bindings to libaccounts-qt and
 libsignon-qt.
 .
 This package contains developer documentation.
