=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=0.7+git%cd.%h" \
https://gitlab.com/accounts-sso/accounts-qml-module \
HEAD debian
